commit:     26308764f2ba791bc87567bcc730006f51de7397
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sun Jun 15 00:24:47 2025 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Jun 15 00:24:47 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=26308764

dev-util/lttng-tools: add 2.13.15

* Restrict tests (they hang and have a lot of failures in the ebuild env)
* Don't probe for stap/dtrace for tests

Closes: https://bugs.gentoo.org/762475
Closes: https://bugs.gentoo.org/803197
Closes: https://bugs.gentoo.org/868195
Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-util/lttng-tools/Manifest                   |  1 +
 dev-util/lttng-tools/lttng-tools-2.13.15.ebuild | 58 +++++++++++++++++++++++++
 2 files changed, 59 insertions(+)

diff --git a/dev-util/lttng-tools/Manifest b/dev-util/lttng-tools/Manifest
index bc1ba823ec59..fa5ab47237c2 100644
--- a/dev-util/lttng-tools/Manifest
+++ b/dev-util/lttng-tools/Manifest
@@ -1,2 +1,3 @@
 DIST lttng-tools-2.12.17.tar.bz2 1627001 BLAKE2B 
db080e433320e1b9129a40e3e12bbf7c7071d80486953a6c2b2da3cdf8568d6ab8ed69fd61a477c56b940a3e144327ec4f813821f5e2bd2097a91c13a7276b35
 SHA512 
25480505e7f12b0a9abdfbbdc96cf12223a143bf13f436f2a1fbf616940323bcf088d51e0abcc72dad24cae237fca07620ff187ab437088e4ec808e6b47d4bb3
 DIST lttng-tools-2.13.14.tar.bz2 1932238 BLAKE2B 
f079051502d01ffc67c4f8f0bbcdf3a4428546c652dcc352918c4908a37aeb510dd66309306cec835297c8d2f276e5cbd22ea4efef6866d3c0c0cf8651d68ef8
 SHA512 
61bdebb539cfb4eb61c9806e98742f39dc032d849b03d90cdb98d1891bd5bfbd0cb1f54bbc7bf79a11505ce7fee558497312d650bb41f11f739884e7cb8a750f
+DIST lttng-tools-2.13.15.tar.bz2 1934955 BLAKE2B 
3942ef4a48995329300ddf926a590b5eafbd75847f100e739b4a54be0ddeae41f7acfff0e24243fc41c876dc57be6a13157958ba1fa65111e272d4a7d50280ee
 SHA512 
0aaef9e298e5ec6f4c60d337277ca83aa86af17a1ebdeb976f000a68a8a99a1e4e0d1b88dae3c09171ca903d1ae1118819d4e3981fc4f9aade23b8370db2c367

diff --git a/dev-util/lttng-tools/lttng-tools-2.13.15.ebuild 
b/dev-util/lttng-tools/lttng-tools-2.13.15.ebuild
new file mode 100644
index 000000000000..f3b312df1926
--- /dev/null
+++ b/dev-util/lttng-tools/lttng-tools-2.13.15.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit flag-o-matic
+
+# Please bump the following packages together:
+# dev-util/lttng-modules
+# dev-util/lttng-tools
+# dev-util/lttng-ust
+
+MY_P="${P/_rc/-rc}"
+MY_SLOT="$(ver_cut 1-2)"
+
+DESCRIPTION="Linux Trace Toolkit - next generation"
+HOMEPAGE="https://lttng.org";
+SRC_URI="https://lttng.org/files/${PN}/${MY_P}.tar.bz2";
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="GPL-2"
+SLOT="0/${MY_SLOT}"
+KEYWORDS="~amd64 ~x86"
+IUSE="+ust"
+# Lots of failures including hangs (bug #762475)
+RESTRICT="test"
+
+DEPEND="
+       >=dev-libs/userspace-rcu-0.11.0:=
+       dev-libs/popt
+       >=dev-libs/libxml2-2.7.6:=
+       ust? ( >=dev-util/lttng-ust-${MY_SLOT}.0:= )
+"
+RDEPEND="${DEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+QA_CONFIG_IMPL_DECL_SKIP=(
+       pthread_get_name_np # different from pthread_getname_*, not on linux
+       pthread_set_name_np # different from pthread_setname_*, not on linux
+)
+
+src_configure() {
+       # bug 906928
+       use elibc_musl && append-cppflags -D_LARGEFILE64_SOURCE
+
+       local myeconfargs=(
+               $(usex ust "" --without-lttng-ust)
+               --disable-test-sdt-uprobe
+               --disable-Werror
+       )
+
+       econf "${myeconfargs[@]}"
+}
+
+src_install() {
+       default
+       find "${ED}" -type f -name '*.la' -delete || die
+}

Reply via email to